Mailinglist Archive: opensuse (3182 mails)

< Previous Next >
Re: [opensuse] Getting YaST to update 3rd party apps
  • From: "Benji Weber" <b.weber@xxxxxxxxxxxxx>
  • Date: Thu, 15 Mar 2007 19:19:46 +0000
  • Message-id: <d6b310ce0703151219s6b6fa96du839909ca466ebb87@xxxxxxxxxxxxxx>
On 3/15/07, Adam Jimerson <vendion@xxxxxxxxxxx> wrote:
Is there a way to get YaST to list available updates to third party
programs like it does for every other program?  It is slightly annoying
to run the online update in YaST and it will tell me that there is no
updates, then I go into Package > All Packages > Update if Newer Version
is Available and it will have several updates listed.

You are confusing updates with upgrades. Yast Online Update will
install all patches which are packages with a high priority, as
security fixes & bugfixes to the base supported system. Any repository
provider can in theory mark packages as packages although currently
none do. If you want to upgrade packages to newer versions,
potentially moving away from the versions which are supported by suse,
which is inadvisable when not required, you can use the update if
newer version is available option.

The same applies with zypper, "zypper up" will install security &
bugfix updates that you should install. If you want to upgrade to
potentially unsupported package versions you can "zypper up -t
package"

_
Benjamin Weber
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References